Bug 164150 - "info line main" command make gdb to core-dump on segmentation fault.
"info line main" command make gdb to core-dump on segmentation fault.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 08:47 EDT by Anton A.Khorkov
Modified: 2008-02-26 23:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 23:55:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix a segfault due to xfree() of an uninitialized pointer (950 bytes, patch)
2005-10-26 08:55 EDT, Peter Wainwright
no flags Details | Diff

  None (edit)
Description Anton A.Khorkov 2005-07-25 08:47:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050109 Fedora/1.7.5-3

Description of problem:
"info line main" command make gdb to core-dump on segmentation fault.
just run gdb on some executable and
issue this command.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. complie and link C or C++ executable suitable for debugging (-g -O0 options)
2. run "gdb this_executable"
3. issue "info line main" command on the gdb prompt.
  

Additional info:
Comment 1 Sven Krueger 2005-09-09 02:23:08 EDT
I had the same problem, but expected this to be a gdb error. I've opened a bug
entry (entry #2005) in the gdb bug database. But after a short discussion and a
try of the current cvs snapshot I'm sure now that it is definetly a fedora problem.
Comment 2 Peter Wainwright 2005-10-26 08:55:38 EDT
Created attachment 120410 [details]
Fix a segfault due to xfree() of an uninitialized pointer

gdb-6.3-ctorline-20050120.patch is b0rked, it frees an
uninitialized pointer.	Following that patch, apply
gdb-6.3-symtab.patch to fix.
Comment 3 Christian Iseli 2007-01-22 05:39:17 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 petrosyan 2008-02-26 23:55:45 EST
I can not reproduce this bug in Fedora 8.

Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.